> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-codex-document-usage-api.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage terms

> Get usage terms and accounts for an organization.



## OpenAPI

````yaml get /v1/usage/terms
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/usage/terms:
    get:
      tags:
        - Usage
      summary: Get usage terms and accounts for the current organization.
      operationId: getV1UsageTerms
      parameters:
        - schema:
            type: string
            format: date
            description: Date used to resolve usage terms. Defaults to today.
          required: false
          description: Date used to resolve usage terms. Defaults to today.
          name: to
          in: query
        - schema:
            type: string
            format: uuid
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
          required: false
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
          name: x-checkly-account
          in: header
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageV1TermsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    UsageV1TermsResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        accounts:
          type: array
          items:
            $ref: '#/components/schemas/UsageV1Account'
        contractStartDate:
          type: string
          format: date
        contractEndDate:
          type: string
          format: date
        usageStartDate:
          type: string
          format: date
        creditBudget:
          type: number
          nullable: true
          minimum: 0
          exclusiveMinimum: true
        standardCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
        premiumCreditsPerUnit:
          type: number
          nullable: true
          minimum: 0
      required:
        - id
        - name
        - accounts
        - contractStartDate
        - contractEndDate
        - usageStartDate
        - creditBudget
        - standardCreditsPerUnit
        - premiumCreditsPerUnit
    ApiError:
      type: object
      properties:
        statusCode:
          type: number
        error:
          type: string
        message:
          type: string
      required:
        - statusCode
        - error
        - message
    UsageV1Account:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password: keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````